#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>
#include <QFileDialog>
#include <QMessageBox>
#include <QTreeView>

#include <anotherwindow.h>
#include "xmlmodel.h"


QT_BEGIN_NAMESPACE
class QAction;
class QActionGroup;
class QLabel;
class QMenu;
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

    AnotherWindow* NewWindow; //new window

public:
    MainWindow();
    ~MainWindow();

private slots:
    void open();
    void close();
    void contextMenu(QPoint);
    void openNew(); //slot for new window

private:
    void createActions();
    void createMenus();

private:
    XmlModel* model;
    QTreeView* treeView;

    QMenu *fileMenu;

    QAction *openAct;
    QAction *closeAct;
    QAction *exitAct;
    QAction *makeActiveAct;
    QAction *openNewAct;
};

#endif
